Index: /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/dimension.f90
===================================================================
--- /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/dimension.f90	(revision 5074)
+++ /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/dimension.f90	(revision 5075)
@@ -1227,29 +1288,27 @@
 
          DO ji=1,ip_maxdim
-            dim__reorder_2xyzt_c(ji)=TRIM(cd_tab(td_dim(ji)%i_2xyzt))
+            dim__reorder_2xyzt_c(ji)=TRIM(cd_arr(td_dim(ji)%i_2xyzt))
          ENDDO
       ENDIF
 
    END FUNCTION dim__reorder_2xyzt_c
-   !> @endcode   
-   !-------------------------------------------------------------------
-   !> @brief This subroutine reordered string 1D table to be suitable with
-   !> dimension read in the file.
+   !-------------------------------------------------------------------
+   !> @brief This function unordered string 1D array to be suitable with
+   !> initial dimension order (ex: dimension read in file).
    !> @note you must have run dim_reorder before use this subroutine
    !
    !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_dim : table of dimension structure
-   !> @param[in] cd_tab : table of value to reordered
-   !> @return table of value reordered 
-   !-------------------------------------------------------------------
-   !> @code
-   FUNCTION dim__reorder_xyzt2_c(td_dim, cd_tab)
+   !> @date Nov, 2013 - Initial Version
+   !
+   !> @param[in] td_dim array of dimension structure
+   !> @param[in] cd_arr array of value to reordered
+   !> @return array of value reordered 
+   !-------------------------------------------------------------------
+   FUNCTION dim__reorder_xyzt2_c(td_dim, cd_arr)
       IMPLICIT NONE
 
       ! Argument      
       TYPE(TDIM),       DIMENSION(:), INTENT(IN) :: td_dim
-      CHARACTER(LEN=*), DIMENSION(:), INTENT(IN) :: cd_tab
+      CHARACTER(LEN=*), DIMENSION(:), INTENT(IN) :: cd_arr
       
       ! function
@@ -1261,11 +1320,11 @@
 
       IF( SIZE(td_dim(:)) /= ip_maxdim .OR. &
-      &   SIZE(cd_tab(:)) /= ip_maxdim )THEN
-         CALL logger_error("DIM ORDER: invalid dimension of table dimension"//&
-         &              " or of table of value.")
+      &   SIZE(cd_arr(:)) /= ip_maxdim )THEN
+         CALL logger_error("DIM REORDER XYZT 2: invalid dimension of array dimension"//&
+         &              " or of array of value.")
       ELSE
          IF( ANY(td_dim(:)%i_xyzt2==0) )THEN
             CALL logger_error( &
-            &  "  REORDER from XYZT: you should have run dim_reorder &
+            &  "  DIM REORDER XYZT 2: you should have run dim_reorder &
             &     before running REORDER" )
 
@@ -1273,19 +1332,17 @@
 
          DO ji=1,ip_maxdim
-            dim__reorder_xyzt2_c(ji)=TRIM(cd_tab(td_dim(ji)%i_xyzt2))
+            dim__reorder_xyzt2_c(ji)=TRIM(cd_arr(td_dim(ji)%i_xyzt2))
          ENDDO
       ENDIF
 
    END FUNCTION dim__reorder_xyzt2_c
-   !> @endcode    
-   !-------------------------------------------------------------------
-   !> @brief This subroutine clean dimension structure
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_dim : dimension strucutre
-   !-------------------------------------------------------------------
-   !> @code
+   !-------------------------------------------------------------------
+   !> @brief This subroutine clean dimension structure.
+   !
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] td_dim dimension strucutre
+   !-------------------------------------------------------------------
    SUBROUTINE dim__clean_unit( td_dim )
       IMPLICIT NONE
@@ -1297,6 +1354,6 @@
       !----------------------------------------------------------------
 
-      CALL logger_info( &
-      &  " CLEAN: reset dimension "//TRIM(td_dim%c_name) )
+      CALL logger_trace( &
+      &  " DIM CLEAN: reset dimension "//TRIM(td_dim%c_name) )
 
       ! replace by empty structure
@@ -1304,15 +1361,13 @@
 
    END SUBROUTINE dim__clean_unit
-   !> @endcode
-   !-------------------------------------------------------------------
-   !> @brief This subroutine clean table of dimension structure
-   !
-   !> @author J.Paul
-   !> - Nov, 2013- Initial Version
-   !
-   !> @param[in] td_dim : table of dimension strucutre
-   !-------------------------------------------------------------------
-   !> @code
-   SUBROUTINE dim__clean_tab( td_dim )
+   !-------------------------------------------------------------------
+   !> @brief This subroutine clean array of dimension structure
+   !
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
+   !
+   !> @param[in] td_dim array of dimension strucutre
+   !-------------------------------------------------------------------
+   SUBROUTINE dim__clean_arr( td_dim )
       IMPLICIT NONE
       ! Argument
@@ -1327,6 +1382,5 @@
       ENDDO
 
-   END SUBROUTINE dim__clean_tab
-   !> @endcode
+   END SUBROUTINE dim__clean_arr
 END MODULE dim
 
Index: /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox
===================================================================
--- /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox	(revision 5075)
+++ /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox	(revision 5075)
@@ -0,0 +1,42 @@
+/*!
+ @mainpage Main Page
+ @section descr Generic Description
+ SIREN is a software to create regional configuration with
+ [NEMO](http://www.nemo-ocean.eu).<br/> 
+ Actually SIREN create input files needed for a basic NEMO configuration.<br/>
+ 
+ SIREN is composed of a set of 5 Fortran programs :
+   - create_coord.f90 to create fine grid coordinate file from coarse grid coordinate file.
+   - create_bathy.f90 to create fine grid bathymetry file over domain.
+   - merge_bathy.f90 to merge fine grid bathymetry with coarse grid bathymetry at boundaries.
+   - create_restart.f90 to create initial state file from coarse grid restart or standard outputs.
+   - create_boundary.f90 to create boundary condition from coarse grid standard outputs.
+
+To install those programs see @ref md_docsrc_1_install.
+
+ @note SIREN can not:
+ - create global configuration
+ - create configuarion around or close to north pole
+ - change number of vertical level
+ - change grid (horizontal or vertical)
+
+ @section howto How to use
+   @subsection howto_coord to create fine grid coordinate file
+   see create_coord.f90
+   @subsection howto_bathy to create fine grid bathymetry
+   see create_bathy.f90
+   @subsection howto_merge to merge fine grid bathymetry
+   see merge_bathy.f90
+   @subsection howto_restart to create initial state file
+   see create_restart.f90
+   @subsection howto_boundary to create boundary condition
+   see create_boundary.f90
+
+<HR>
+   <b>
+   - @ref md_docsrc_1_install
+   - @ref md_docsrc_3_codingRules
+   - @ref md_docsrc_4_changeLog
+   - @ref todo
+   </b>
+*/
